Skip to content

Stage a policy branch

Request

Early AccessIdentity Engine
OAuth 2.0 scope:
  • okta.policies.manage

Stages a DRAFT branch, changing its status to STAGED.

After a policy branch is STAGED, you can then enable monitoring of the branch by setting a value for expiry. When monitoring is enabled, the staged policy branch is evaluated and you can see how the policy rules behave and impact your users before pushing the branch to live. To view monitoring data for the policy branch, see Use the Policy Insights Dashboard.

Only applicable to ACCESS_POLICY type policies.

Path
policyIdstringrequired

id of the ACCESS_POLICY

Example:rst1d7xus97faIAgmti0
branchIdstringrequired

id of the policy branch

Example:rsb1d7xus97faIAgmti
Bodyapplication/json
commentsstring, <= 1024 characters

Comments or notes about the lifecycle operation that the branch is affected by

Example:"Staging for integration testing in pre-production environment"
settingsobject(PolicyBranchStageSettings)

Settings for a policy branch

POST
/api/v1/policies/{policyId}/branches/{branchId}/lifecycle/stage
curl -i -X POST \
  https://subdomain.okta.com/api/v1/policies/rst1d7xus97faIAgmti0/branches/rsb1d7xus97faIAgmti/lifecycle/stage \
  -H 'Content-Type: application/json' \
  -d '{
    "comments": "Staging for integration testing in pre-production environment",
    "settings": {
      "monitoring": {
        "expiry": "2026-08-01T00:00:00.000Z"
      }
    }
  }'

Responses

Success

Bodyapplication/json
branchInformationobject(PolicyBranchInformation)

Information about the branch of the policy object, including its status

conditionsstring or null

Policy conditions aren't supported for ACCESS_POLICY. Conditions are applied at the rule level.

Default:null
createdstring, (date-time)read-only

Timestamp when the policy branch was created

descriptionstring

Description of the policy

idstringread-only

Identifier of the policy

lastUpdatedstring, (date-time)read-only

Timestamp when the policy branch was last modified

namestringrequired

Name of the policy

priorityinteger

Specifies the order in which this policy is evaluated in relation to the other policies

statusstring(LifecycleStatus)

Whether or not the policy is active. Use the activate query parameter to set the status of a policy.

Enum:"ACTIVE""INACTIVE"
systemboolean

Specifies whether Okta created the policy

Default:false
typestringrequired

Policy type. Branching is only supported for ACCESS_POLICY policies.

Value:"ACCESS_POLICY"
_embeddedobjectread-only
Response
{ "id": "rst4n0yza36jdLEp1wl2", "status": "ACTIVE", "name": "Q3 Authentication Improvements", "description": "Testing new authentication flow with enhanced verification", "priority": 1, "system": false, "type": "ACCESS_POLICY", "conditions": null, "created": "2026-05-06T12:30:00.000Z", "lastUpdated": "2026-05-06T16:00:00.000Z", "branchInformation": { "id": "rsb4n0yza36jdLEp1wl", "status": "STAGED", "comments": "Staging for integration testing in pre-production environment", "settings": {} }, "_links": { "self": {}, "rules": {}, "promote": {} } }